# $Revision: 1.4 $, $Date: 2012/03/26 19:45:46 $
%define		status		stable
%define		pearname	Horde_Injector
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - Horde dependency injection container
Name:		php-horde-Horde_Injector
Version:	1.0.1
Release:	1
License:	BSD
Group:		Development/Languages/PHP
Source0:	http://pear.horde.org/get/%{pearname}-%{version}.tgz
# Source0-md5:	0cfce0008b96aed216168a7464abf77c
URL:		https://github.com/horde/horde/tree/master/framework/Injector/
BuildRequires:	php-channel(pear.horde.org)
BuildRequires:	php-packagexml2cl
BuildRequires:	php-pear-PEAR >= 1:1.7.0
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.610
Requires:	php-channel(pear.horde.org)
Requires:	php-horde-Horde_Exception < 2.0.0
Requires:	php-pear >= 4:1.3.6-2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A depedency injection container for Horde.

In PEAR status of this package is: %{status}.

%prep
%pear_package_setup

%build
packagexml2cl package.xml > ChangeLog

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog install.log
%doc docs/Horde_Injector/*
%{php_pear_dir}/.registry/.channel.*/*.reg
%{php_pear_dir}/Horde/Injector.php
%{php_pear_dir}/Horde/Injector

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-horde-Horde_Injector.spec,v $
Revision 1.4  2012/03/26 19:45:46  glen
- updated to: 1.0.1

Revision 1.3  2011/05/03 05:26:45  glen
- use github url to package, as pear url is not specific

Revision 1.2  2011/04/11 07:44:31  glen
- Horde dir dep

Revision 1.1  2011/04/10 21:38:06  glen
- horde h4 pear packages
